package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JSmartReminders;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 智能提醒（j_smart_reminders）表数据访问层
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
public interface JSmartRemindersMapper extends BaseMapper<JSmartReminders> {

    /**
     * 分页查询所有数据
     *
     * @param page     分页对象
     * @param jSmartReminders 查询实体
     * @return 所有数据
     */
    Page<JSmartReminders> page(Page<JSmartReminders> page, @Param("req") JSmartReminders jSmartReminders);

    List<JSmartReminders> selectWorkAll();
}

