package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.ent.entity.HomeRequestSmart;
import com.ruoyi.jjh.ent.entity.JSmartDeclaration;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 智能提醒关联表（j_smart_declaration）表数据访问层
 *
 * @author makejava
 * @since 2024-03-25 11:49:34
 */
public interface JSmartDeclarationMapper extends BaseMapper<JSmartDeclaration> {

    /**
     * 企业端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    List<HomeRequestSmart> selectEnterpriseAllList(@Param("userName") String userName);

    /**
     * 政务端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    List<HomeRequestSmart> chiefAll(@Param("userId") Long userId,@Param("projectId") Long projectId);
}

